Mail archive
alpine-aports

[alpine-aports] [PATCH 5/6] testing/wlc: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sat, 1 Oct 2016 20:38:46 -0400

https://github.com/Cloudef/wlc
Wayland Compositor Library
---
 testing/wlc/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/wlc/APKBUILD
diff --git a/testing/wlc/APKBUILD b/testing/wlc/APKBUILD
new file mode 100644
index 0000000..fffcb60
--- /dev/null
+++ b/testing/wlc/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=wlc
+pkgver=0.0.6
+pkgrel=0
+pkgdesc="Wayland Compositor Library"
+url="https://github.com/Cloudef/wlc"
+arch="all"
+license="MIT"
+depends="xkeyboard-config"
+makedepends="cmake eudev-dev libinput-dev libx11-dev libxkbcommon-dev mesa-dev
+	pixman-dev wayland-dev wayland-protocols xcb-util-image-dev
+	xcb-util-wm-dev"
+subpackages="$pkgname-dev"
+source="https://github.com/Cloudef/$pkgname/releases/download/v$pkgver/$pkgname-$pkgver.tar.bz2"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	cmake . \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_SYSCONFDIR=/etc \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib \
+		|| return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir/" \
+		-C "$builddir" install || return 1
+}
+
+md5sums="3d7f02321b8d97c4c858a6d2def3be16  wlc-0.0.6.tar.bz2"
+sha256sums="302a14252757f05ed009077a674b07942ff46fc7c3da0759fed4fedbc8c12329  wlc-0.0.6.tar.bz2"
+sha512sums="944e3b34436618a1288488dcb8eb7ea2db46e32f73e4d07e4e896fe94cd0084857008f900257846098af4094bf5351bd7ec7d4c6aef427d0991922fd04049dc9  wlc-0.0.6.tar.bz2"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Oct 01 2016 - 20:38:46 GMT